package market.Mes.Shift.vo;

import java.io.Serializable;
import java.util.List;

import com.hnshituo.basic.vo.BaseVO;

public class MesShiftMSum extends BaseVO implements Serializable{

	private String v_mch_code;
	private String v_wrk_date;
	private String v_wrk_ord;
	private String wrk_ord_name;//V_WRK_ORD代表的班次名称
	
	//作业人员名单
	private List<MesShiftDEmp> lmsde;
	//班中情况记录
	private List<MesShiftDNotes> lmsdn;
	//工具及卫生交接记录
	private List<MesShiftDCheck> lmsdc;
	//消耗记录
	private List<MesShiftDCsm> lmsdcm;
	//排刀拆刀记录     
	//private List<MesCrSlittingMTemp> lmcsm;
	
//	public List<MesCrSlittingMTemp> getLmcsm() {
//		return lmcsm;
//	}
//	public void setLmcsm(List<MesCrSlittingMTemp> lmcsm) {
//		this.lmcsm = lmcsm;
//	}
	//保存“排刀记录”
	private List<MesShiftDBldSet> lmsdbs;
	
	//保存“拆刀记录”
	private List<MesShiftDBldRmv> lmsdbr;
	
	
	public List<MesShiftDBldSet> getLmsdbs() {
		return lmsdbs;
	}
	public void setLmsdbs(List<MesShiftDBldSet> lmsdbs) {
		this.lmsdbs = lmsdbs;
	}
	public List<MesShiftDBldRmv> getLmsdbr() {
		return lmsdbr;
	}
	public void setLmsdbr(List<MesShiftDBldRmv> lmsdbr) {
		this.lmsdbr = lmsdbr;
	}
	public String getV_mch_code() {
		return v_mch_code;
	}
	public void setV_mch_code(String v_mch_code) {
		this.v_mch_code = v_mch_code;
	}
	public String getV_wrk_date() {
		return v_wrk_date;
	}
	public void setV_wrk_date(String v_wrk_date) {
		this.v_wrk_date = v_wrk_date;
	}
	public String getV_wrk_ord() {
		return v_wrk_ord;
	}
	public void setV_wrk_ord(String v_wrk_ord) {
		this.v_wrk_ord = v_wrk_ord;
	}
	public String getWrk_ord_name() {
		return wrk_ord_name;
	}
	public void setWrk_ord_name(String wrk_ord_name) {
		this.wrk_ord_name = wrk_ord_name;
	}
	public List<MesShiftDEmp> getLmsde() {
		return lmsde;
	}
	public void setLmsde(List<MesShiftDEmp> lmsde) {
		this.lmsde = lmsde;
	}
	public List<MesShiftDNotes> getLmsdn() {
		return lmsdn;
	}
	public void setLmsdn(List<MesShiftDNotes> lmsdn) {
		this.lmsdn = lmsdn;
	}
	public List<MesShiftDCheck> getLmsdc() {
		return lmsdc;
	}
	public void setLmsdc(List<MesShiftDCheck> lmsdc) {
		this.lmsdc = lmsdc;
	}
	public List<MesShiftDCsm> getLmsdcm() {
		return lmsdcm;
	}
	public void setLmsdcm(List<MesShiftDCsm> lmsdcm) {
		this.lmsdcm = lmsdcm;
	}
	
	
	
	
	
	
	
}
